大家能不能帮忙看看这个程序有什么问题?都好多天了还没有解决
<P><FONT id=text1 style="FONT-SIZE: 10pt" face="宋体,verdana, arial, helvetica"><BR>分别用extrude与extrudeAlongPath拉生得到圆柱:<BR>AcDbBlockTable *pThisBlockTable;<BR>acdbHostApplicationServices()->workingDatabase()->getSymbolTable(pThisBlockTable,AcDb::kForWrite);<BR>AcDbBlockTableRecord *pOtherBtr;<BR>pThisBlockTable->getAt(ACDB_MODEL_SPACE,pOtherBtr,AcDb::kForWrite);<BR>pThisBlockTable->close();<BR><BR>AcDbCircle *OCircle = new AcDbCircle(AcGePoint3(0,0,0),AcGeVector3d(1,0,0),80);<BR>AcDbLine *line = new AcDbLine(AcGePoint3d(0,0,0),AcGePoint3d(100,0,0));<BR>AcDb3dSolid *OSolid = new AcDb3dSolid();<BR>AcDbObjectId OSolidId;<BR><BR>AcDbVoidPtrArray OArr,OgnArr;<BR>OArr.append(OCircle); <BR>OCircle->close();<BR>int i;<BR>if (AcDbRegion::createFromCurves(OArr,OgnArr)!=Acad::eOk) <BR>{ <BR>for (i=0;i delete OgnArr;<BR>return;<BR>}<BR>AcDbRegion *oRegion;<BR>oRegion=AcDbRegion::cast((AcRxObject*)OgnArr);<BR><BR>//OSolid->extrudeAlongPath(oRegion,line);<BR>OSolid->extrude(oRegion,100,0);<BR>pOtherBtr->appendAcDbEntity(OSolidId,OSolid);<BR><BR>line->close();<BR>OSolid->close();<BR>pOtherBtr->close(); <BR><BR><BR>为什么我用extrude可以得到圆柱,而extrudeAlongPath却会出错?先谢过各位了。</FONT> <BR></P>
页:
[1]